Calendar occurrences for vehicles within a date range.
- Cancel transport orders
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
- Mock serverhttps://docs.transportial.com/_mock/apis/transportOrder/from-documents
- Test environmenthttps://test.api.otms.transportial.com/api/transportOrder/from-documents
- Productionhttps://api.otms.transportial.com/api/transportOrder/from-documents
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/transportOrder/from-documents \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"documents": [
"string"
]
}'{ "success": true, "message": "string", "code": 0, "transportOrder": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "orderId": "string", "name": "string", "type": "standard", "status": "declined", "description": "string", "referenceDescription": "string", "customer": { … }, "mailMessage": { … }, "vat": { … }, "deliveryTerms": "EXW", "externalAttributes": { … }, "team": { … }, "documents": [ … ], "consignments": [ … ], "contactDetails": [ … ], "identifiers": [ … ], "pricingElements": [ … ], "invoices": [ … ], "administration": { … }, "shareSettings": { … }, "template": true, "expectedRevenue": { … }, "expectedCost": { … }, "versionNumber": 0 } }
- Mock serverhttps://docs.transportial.com/_mock/apis/transportOrders/cancel
- Test environmenthttps://test.api.otms.transportial.com/api/transportOrders/cancel
- Productionhttps://api.otms.transportial.com/api/transportOrders/cancel
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/transportOrders/cancel \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"ids": [
"string"
]
}'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "transportOrders": [ { … } ] }
Request
Forward an entire transport order to an external carrier. This is a simplified operation that creates a single forwarded trip for the entire order, assigned to the specified capacity contract (external carrier). For splitting into multiple legs with different carriers, use the /split endpoint instead.
Forward configuration with capacity contract ID
- Mock serverhttps://docs.transportial.com/_mock/apis/transportOrder/{id}/forward
- Test environmenthttps://test.api.otms.transportial.com/api/transportOrder/{id}/forward
- Productionhttps://api.otms.transportial.com/api/transportOrder/{id}/forward
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/transportOrder/{id}/forward' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"capacityContractId": "contract-123"
}'{ "success": true, "message": "string", "code": 0, "trip": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "name": "string", "type": "internal", "tripNr": "string", "remark": "string", "route": { … }, "stackMap": { … }, "status": "draft", "planStatus": "ok", "routeStatus": "on_route", "currentAction": {}, "transportMode": "maritime", "capacityContract": { … }, "vehicle": {}, "linkedTrip": true, "chauffeurs": [ … ], "transportEquipments": [ … ], "consignments": [ … ], "contextEvents": [ … ], "documents": [ … ], "actors": [ … ], "actions": [ … ], "constraints": [ … ], "identifiers": [ … ], "businesses": [ … ], "startDate": "2019-08-24T14:15:22Z", "endDate": "2019-08-24T14:15:22Z", "kmStart": 0, "kmEnd": 0, "booking": { … }, "shareSettings": { … }, "externalAttributes": { … }, "expectedCost": { … }, "expectedRevenue": { … }, "actualCost": { … }, "quote": { … }, "CO2eWTW": 0.1, "CO2eTTW": 0.1, "nextAction": {}, "lastAction": {}, "estimatedDuration": 0, "versionNumber": 0 } }
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.